Skip to main content
POST
/
configuration
/
numberRanges
/
{numberRangeId}
/
increment
Number Range Increment
curl --request POST \
  --url https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId}/increment \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "NextNumber": "RE2025470-1",
  "IsPreview": false
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

numberRangeId
string
required

Query Parameters

companyId
integer<int32>

Response

The resulting Next Number for the given Item.

The CurrentValue of Individuel NumberRange

NextNumber
string
required

The Next Number of the NumberRange

Example:

"RE2025470-1"

IsPreview
boolean
required

Can the Number is only a Preview Number

Example:

false